Cooperative(3)

NAME
Cooperative -

SYNOPSIS

Inherits Communicable.

Inherited by peoAsyncIslandMig< EOT >, and peoSyncIslandMig< EOT >.

  Public Member Functions
Runner * getOwner ()
void setOwner (Runner &__runner)
virtual void pack ()=0
virtual void unpack ()=0
void send (Cooperative *__coop)
virtual void notifySending ()

  Private Attributes
Runner * owner

Detailed Description

Definition at line 32 of file cooperative.h.

Author

Generated automatically by Doxygen for ParadisEO from the source code.